apache2(8)

NAME
apache2 - Apache hypertext transfer protocol server

SYNOPSIS
apache2 [ -d serverroot ] [ -f config ] [ -C directive ] [ -c directive ] [ -D parameter ]

apache2 [ -h ] [ -l ] [ -L ] [ -v ] [ -V ] [ -t ] [ -X ]

DESCRIPTION
apache2 is the Apache HyperText Transfer Protocol (HTTP) server program. It is designed to be run as a standalone daemon process. When used like this it will create a pool of child processes to handle requests. To stop it, send a TERM signal to the initial (parent) process. The PID of this process is written to a file as given in the configuration file.

This manual page only lists the command line arguments. For details of the directives necessary to configure apache2 see the Apache manual, which is part of the Apache distribution or can be found at http://httpd.apache.org/. Paths in this manual may not reflect those compiled into apache2.

OPTIONS

-d serverroot
    Set the initial value for the ServerRoot directive to serverroot. This can be overridden by the ServerRoot command in the configuration file. The default is /usr/local/apache2.

-f config
    Execute the commands in the file config on startup. If config does not begin with a /, then it is taken to be a path relative to the ServerRoot. The default is conf/apache2.conf.

-C directive
    Process the configuration directive before reading config files.

-c directive
    Process the configuration directive after reading config files.

-D parameter
    Sets a configuration parameter which can be used with <IfDefine>...</IfDefine> sections in the configuration files to conditionally skip or process commands.

-h  Output a short summary of available command line options.

-l  Output a list of modules compiled into the server.

-L  Output a list of directives together with expected arguments and places where the directive is valid.

-S  Show the settings as parsed from the config file (currently only shows the virtualhost settings).

-t  Run syntax tests for configuration files only. The program immediately exits after these syntax parsing with either a return code of 0 (Syntax OK) or return code not equal to 0 (Syntax Error). If -D DUMP_VHOSTS is also set, details of the virtual host configuration will be printed.

-v  Print the version of apache2 , and then exit.

-V  Print the version and build parameters of apache2 , and then exit.

-X  Run apache2 in debug mode. Only one worker will be started and the server will not detach from the console.

FILES
/usr/local/apache2/conf/apache2.conf
/usr/local/apache2/conf/mime.types
/usr/local/apache2/conf/magic
/usr/local/apache2/logs/error_log
/usr/local/apache2/logs/access_log
/usr/local/apache2/logs/apache2.pid